Billing
List invoices
List invoices for your Blnk Cloud organization.
GET
/
billing
/
invoices
curl -X GET "https://api.cloud.blnkfinance.com/billing/invoices" \
-H "X-blnk-key: CLOUD_API_KEY"
{
"invoices": [
{
"id": "in_1ABC123",
"number": "INV-0001",
"status": "paid",
"amount_due": 0,
"amount_paid": 5000,
"currency": "usd",
"description": "Sandbox Deployment",
"invoice_pdf": "https://pay.stripe.com/invoice/...",
"hosted_url": "https://invoice.stripe.com/i/...",
"period_start": 1789118347,
"period_end": 1791710347,
"created": 1789118347,
"subscription_id": "sub_1ABC123"
}
]
}
Use this to list past invoices for the organization.
invoice_pdf and hosted_url are hosted Stripe links.
Authorization
Blnk Cloud APIs support any one of the following authentication methods. All of them work with yourCLOUD_API_KEY or OAUTH_ACCESS_TOKEN.
Pass X-blnk-key: CLOUD_API_KEY or X-blnk-key: OAUTH_ACCESS_TOKEN.
curl -X GET "https://api.cloud.blnkfinance.com/billing/invoices" \
-H "X-blnk-key: CLOUD_API_KEY"
Response
{
"invoices": [
{
"id": "in_1ABC123",
"number": "INV-0001",
"status": "paid",
"amount_due": 0,
"amount_paid": 5000,
"currency": "usd",
"description": "Sandbox Deployment",
"invoice_pdf": "https://pay.stripe.com/invoice/...",
"hosted_url": "https://invoice.stripe.com/i/...",
"period_start": 1789118347,
"period_end": 1791710347,
"created": 1789118347,
"subscription_id": "sub_1ABC123"
}
]
}
array
Invoice objects for the organization.
Show child attributes
Show child attributes
string
Invoice id (
in_...).string
Invoice number.
string
Invoice status, such as
paid or open.integer
Amount due in the smallest currency unit.
integer
Amount paid in the smallest currency unit.
string
ISO currency code, such as
usd.string
Line description, such as
Sandbox Deployment.string
URL of the PDF invoice.
string
URL of the hosted invoice page.
integer
Unix timestamp (seconds) for the start of the invoice period.
integer
Unix timestamp (seconds) for the end of the invoice period.
integer
Unix timestamp (seconds) when the invoice was created.
string
Subscription id this invoice belongs to (
sub_...). Can be empty.Need help?
We are very happy to help you make the most of Blnk, regardless of whether it is your first time or you are switching from another tool. To ask questions or discuss issues, please contact us or join our Discord community.Was this page helpful?
⌘I
curl -X GET "https://api.cloud.blnkfinance.com/billing/invoices" \
-H "X-blnk-key: CLOUD_API_KEY"
{
"invoices": [
{
"id": "in_1ABC123",
"number": "INV-0001",
"status": "paid",
"amount_due": 0,
"amount_paid": 5000,
"currency": "usd",
"description": "Sandbox Deployment",
"invoice_pdf": "https://pay.stripe.com/invoice/...",
"hosted_url": "https://invoice.stripe.com/i/...",
"period_start": 1789118347,
"period_end": 1791710347,
"created": 1789118347,
"subscription_id": "sub_1ABC123"
}
]
}